PanelBarItemTag (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.richfaces.taglib.PanelBarItemTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class PanelBarItemTag

    java.lang.Object
      javax.faces.webapp.UIComponentTagBase
          javax.faces.webapp.UIComponentClassicTagBase
              javax.faces.webapp.UIComponentELTag
                  org.richfaces.webapp.taglib.UIComponentELTagBase
                      org.ajax4jsf.webapp.taglib.UIComponentTagBase
                          org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                              org.richfaces.taglib.PanelBarItemTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class PanelBarItemTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase
`bodyContent, pageContext, UNIQUE_ID_PREFIX`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Constructor Summary
`PanelBarItemTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setContentClass(javax.el.ValueExpression __contentClass)` The component content style class Setter for contentClass
`void` | `setContentStyle(javax.el.ValueExpression __contentStyle)` The component content style Setter for contentStyle
`void` | `setHeaderClass(javax.el.ValueExpression __headerClass)` The component header style class Setter for headerClass
`void` | `setHeaderClassActive(javax.el.ValueExpression __headerClassActive)` The component header style class active Setter for headerClassActive
`void` | `setHeaderStyle(javax.el.ValueExpression __headerStyle)` The component header style Setter for headerStyle
`void` | `setHeaderStyleActive(javax.el.ValueExpression __headerStyleActive)` The component header style active Setter for headerStyleActive
`void` | `setLabel(javax.el.ValueExpression __label)` Label text appears on a panel item header Setter for label
`void` | `setName(javax.el.ValueExpression __name)` Attribute defines item name Setter for name
`void` | `setOnenter(javax.el.ValueExpression __onenter)` Event must occurs on than item has been entered Setter for onenter
`void` | `setOnleave(javax.el.ValueExpression __onleave)` Event must occurs on than item has been leaved Setter for onleave
`protected void` | `setProperties(javax.faces.component.UIComponent component)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`getExpressionFactory, isValueReference, setActionListenerProperty, setActionProperty, setBooleanProperty, setBooleanProperty, setDoubleProperty, setDoubleProperty, setFloatProperty, setFloatProperty, setIntegerProperty, setIntegerProperty, setLongProperty, setLongProperty, setProperty, setProperty, setStringProperty, setStringProperty, setValueChangedListenerProperty, setValueProperty, setValueProperty`

Methods inherited from class org.richfaces.webapp.taglib.UIComponentELTagBase
`setActionListenerProperty, setActionProperty, setConverterProperty, setValidatorProperty, setValueChangeListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentELTag
`createComponent, getELContext, hasBinding, setBinding, setRendered`

Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase
`addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setId, setJspId, setPageContext, setParent, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doEndTag, doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### PanelBarItemTag

    public PanelBarItemTag()

Method Detail

### setContentClass

    public void setContentClass(javax.el.ValueExpression __contentClass)

  The component content style class Setter for contentClass

  Parameters:
    `contentClass` - - new value

### setContentStyle

    public void setContentStyle(javax.el.ValueExpression __contentStyle)

  The component content style Setter for contentStyle

  Parameters:
    `contentStyle` - - new value

### setHeaderClass

    public void setHeaderClass(javax.el.ValueExpression __headerClass)

  The component header style class Setter for headerClass

  Parameters:
    `headerClass` - - new value

### setHeaderClassActive

    public void setHeaderClassActive(javax.el.ValueExpression __headerClassActive)

  The component header style class active Setter for headerClassActive

  Parameters:
    `headerClassActive` - - new value

### setHeaderStyle

    public void setHeaderStyle(javax.el.ValueExpression __headerStyle)

  The component header style Setter for headerStyle

  Parameters:
    `headerStyle` - - new value

### setHeaderStyleActive

    public void setHeaderStyleActive(javax.el.ValueExpression __headerStyleActive)

  The component header style active Setter for headerStyleActive

  Parameters:
    `headerStyleActive` - - new value

### setLabel

    public void setLabel(javax.el.ValueExpression __label)

  Label text appears on a panel item header Setter for label

  Parameters:
    `label` - - new value

### setName

    public void setName(javax.el.ValueExpression __name)

  Attribute defines item name Setter for name

  Parameters:
    `name` - - new value

### setOnenter

    public void setOnenter(javax.el.ValueExpression __onenter)

  Event must occurs on than item has been entered Setter for onenter

  Parameters:
    `onenter` - - new value

### setOnleave

    public void setOnleave(javax.el.ValueExpression __onleave)

  Event must occurs on than item has been leaved Setter for onleave

  Parameters:
    `onleave` - - new value

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTagBase`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTagBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.